﻿@model Comment
@using LawMingo.Helpers
@{
    ViewData["Title"] = Model.Subject + " | لامینگو ";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section Meta{
    <meta property="og:locale" content="fa_IR" />
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    <meta name="description" content="@Model.Content" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="@ViewData["Title"]" />
    <meta property="og:description" content="@Model.Content" />
    <meta property="og:url" content="http://lawmingo.com/question/@Model.Code/@Model.Subject.URLFriendly().Replace(' ' , '_')" />
    <meta property="article:tag" content="@Model.Tags" />
    <meta property="article:section" content="" />
    <meta property="article:published_time" content="@Model.Time" />
    <meta property="article:modified_time" content="@Model.Time" />

    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:description" content="@Model.Content" />
    <meta name="twitter:title" content="@ViewData["Title"]" />
    <meta name="twitter:image" content="/Images/cover.png" />
    <meta name="twitter:creator" content="lawmingo" />
    <meta name="keywords" content="@Model.Tags" />

    <link rel="canonical" href="http://lawmingo.com/question/@Model.Code/@Model.Subject.URLFriendly().Replace(' ' , '_')" />
    <link href="~/css/Questions.css" rel="stylesheet" />


    @if (Model.Answers.Where(a => a.IsActive).Count() > 0 && Model.IsActive)
    {
        <script type="application/ld+json">
            @Html.Raw(LawMingo.Helpers.SEO.QAPage(Model))
        </script>
    }

}
@section Scripts{
    <script src="~/Publish/Validation.min.js" asp-append-version="true"></script>
    <script src="~/js/Questions.js"></script>
}

<div class="qcontainer">
    @await Html.PartialAsync("_NewQuestionBox")

    <div class="container qcard">
        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                <div class="row flex-row-reverse">
                    <div class="col-md-2 align-center informations">
                        <div class="code"><a title="@Model.Subject">#@Model.Code</a></div>
                        <div class="time">
                            @LawMingo.Helpers.Times.ElapsedTime(Model.Time)
                        </div>
                        @await Html.PartialAsync("_QuestiuonTags", Model.Tags)

                    </div>
                    <div class="col-md-10">
                        @await Html.PartialAsync("_QuestiuonBreadCrump", ViewData["cats"] as List<CounselorCategory>)
                        @if (Model.IsActive)
                        {
                            <a>
                                <h1>
                                    @Model.Subject
                                </h1>
                            </a>
                            <p>
                                @{
                                    var max = Model.Content.Length > 260 ? 260 : Model.Content.Length;
                                }
                                @Html.Raw(Model.Content.Substring(0, max))
                                @(Model.Content.Length > max ? "..." : "")
                            </p>
                            <div style="display: flex;flex-direction: row-reverse;">
                                <div style="font-size: 20px;font-weight: bold;color: #797d7f;margin-bottom: 10px;direction: rtl;text-align: right;justify-content: left;border: 1px solid #eaeaea;padding: 10px 20px;">
                                    <i class="fa fa-reply" aria-hidden="true"></i>
                                    @Model.Answers.Count() پاسخ
                                </div>
                            </div>

                            @foreach (var item in Model.Answers)
                            {
                                <div class="answers">
                                    <div class="row answerbox">
                                        <div class="col-md-12">
                                            <div class="personinfo flex items-center flex-1" style="">
                                                @{
                                                    if (item.Counselor != null)
                                                    {
                                                        <div class="personimage" style="background-image: url(https://lawmingo.com/Uploads/CounselorImage/@item.Counselor.Image);">
                                                        </div>
                                                    }
                                                    else
                                                    {
                                                        <div class="personimage" style="background-image: url(https://lawmingo.com/Uploads/CounselorImage/mahsa-min.jpg);">
                                                        </div>
                                                    }
                                                }

                                                <div style="padding-right: 20px;">
                                                    <a>
                                                        <div style="font-size: 20px;">

                                                            @{
                                                                if (item.Counselor != null && item.Counselor.Name != null)
                                                                {
                                                                    <text>@item.Counselor.Name</Text>
                                                                }
                                                                else
                                                                {
                                                                    <text> مهسا دهقان</Text>
                                                                }
                                                            }

                                                        </div>
                                                    </a>
                                                    <div style="font-size: 14px;">
                                                        @{
                                                            if (item.Counselor != null && item.Counselor.Post != null)
                                                            {
                                                                <text>@item.Counselor.Post</Text>
                                                            }
                                                            else
                                                            {
                                                                <text> دانش‌آموخته دانشگاه شهید بهشتی و هم‌بنیانگذار لامینگو</Text>
                                                            }
                                                        }



                                                    </div>
                                                </div>
                                            </div>
                                            <div>
                                                <p>
                                                    @Html.Raw(item.Content)
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            }
                        }
                        else
                        {
                            <div style="text-align: center;font-weight: 400;color: #60b873;">
                                پرسش مورد نظر شما هنوز تایید نشده است
                            </div>
                        }
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
